name: gb-group
services:
  mongo:
    image: "mongo:latest"
    environment:
      - MONGO_INITDB_ROOT_USERNAME=root
      - MONGO_INITDB_ROOT_PASSWORD=password
    volumes:
      - mongodata:/data/db
    ports:
      - "27017:27017"
  growthbook:
    image: "growthbook/growthbook:latest"
    ports:
      - "6007:3000"
      - "6008:3100"
    depends_on:
      - mongo
    environment:
      - MONGODB_URI=mongodb://root:password@mongo:27017/growthbook?authSource=admin
      - APP_ORIGIN=http://127.0.0.1:6007
      - API_HOST=http://127.0.0.1:6008
      - BACKEND_PORT=6008
    volumes:
      - uploads:/usr/local/src/app/packages/back-end/uploads
volumes:
  uploads:
  mongodata:
